Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.util
Class CountInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.w3c.util.CountInputStream

public class CountInputStream
extends java.io.InputStream

count the number of bytes read through the stream

Constructor Summary
`CountInputStream(java.io.InputStream is)`

Method Summary
`int` | `available()`
`void` | `close()`
`long` | `getBytesRead()` get the actual number of bytes read
`void` | `mark(int readlimit)`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`
`void` | `reset()`
`long` | `skip(long skipped)`

Methods inherited from class java.io.InputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountInputStream

    public CountInputStream(java.io.InputStream is)

Method Detail

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    available in class java.io.InputStream

### markSupported

    public boolean markSupported()

  Overrides:
    markSupported in class java.io.InputStream

### read

    public int read()
             throws java.io.IOException

  Overrides:
    read in class java.io.InputStream

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    read in class java.io.InputStream

### skip

    public long skip(long skipped)
              throws java.io.IOException

  Overrides:
    skip in class java.io.InputStream

### mark

    public void mark(int readlimit)

  Overrides:
    mark in class java.io.InputStream

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    reset in class java.io.InputStream

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.InputStream

### getBytesRead

    public long getBytesRead()

  get the actual number of bytes read
  Returns:
    a long, the number of bytes read

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD